import React from 'react'
import Container from '../Base/Container'
import Heading from '../Base/Heading'
import Button from '../Base/Button'

export default function SubscriptionCard() {
  return (
    <Container>
      <div className="w-full flex flex-col lg:flex-row justify-between space-y-5 lg:space-y-0 lg:space-x-8 mt-36">
        {/* Card 1 */}
        <div className='pb-4 pt-4'>
          <div
            className="bg-black bg-opacity-90 p-6 rounded-2xl flex flex-col justify-between w-full transform transition-transform duration-300 ease-in-out hover:scale-105"
            style={{
              backgroundImage: `url(/assets/images/sec6.png)`,
              overflow: 'hidden',
              width: '100% !important',
            }}
          >
            <div>
              <Heading
                level={5}
                className="text-white font-bold text-lg md:text-xl lg:text-2xl mb-3"
              >
                LOREM IPSUM
              </Heading>
              <p className="text-white text-sm md:text-base font-light mb-6">
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry. Lorem lum has
              </p>
              <Heading
                level={5}
                className="text-primary font-bold text-2xl md:text-3xl lg:text-4xl mb-3"
              >
                $1,199/MONTH
              </Heading>
              <p className="text-white text-sm md:text-base font-light">
                $12,949/year (10% discount)
              </p>
            </div>
            <div className="mt-4">
              <ul className="text-white text-sm md:text-base font-light mb-6 list-disc pl-5">
                <li>5,000 matches per month</li>
                <li>$0.07 per match over 5,000</li>
              </ul>
              <Button
                title="Subscribe Now"
                className="bg-white text-black text-sm md:text-base font-medium py-3 px-6 rounded-full hover:bg-gray-200"
              />
            </div>
          </div>
        </div>

        {/* Card 2 */}
        <div>
          <div
            className="bg-black bg-opacity-90 p-6 rounded-2xl flex flex-col justify-between w-full transform transition-transform duration-300 ease-in-out hover:scale-105"
            style={{
              backgroundImage: `url(/assets/images/sec6.png)`,
              overflow: 'hidden',
              width: '100% !important',
            }}
          >
            <div>
              <Heading
                level={5}
                className="text-white font-bold text-lg md:text-xl lg:text-2xl mb-3"
              >
                LOREM IPSUM
              </Heading>
              <p className="text-white text-sm md:text-base font-light mb-6">
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry. Lorem lum has
              </p>
              <Heading
                level={5}
                className="text-primary font-bold text-2xl md:text-3xl lg:text-4xl mb-3"
              >
                $1,199/MONTH
              </Heading>
              <p className="text-white text-sm md:text-base font-light">
                $12,949/year (10% discount)
              </p>
            </div>
            <div className="mt-4">
              <ul className="text-white text-sm md:text-base font-light list-disc pl-5 mb-10">
                <li>5,000 matches per month</li>
                <li>$0.07 per match over 5,000</li>
              </ul>
              <div className='mt-4'>
                <Button
                  title="Subscribe Now"
                  className="bg-white mt-4 text-black text-sm md:text-base font-medium py-3 px-6 rounded-full hover:bg-gray-200"
                />
              </div>
            </div>
          </div>
        </div>

        {/* Card 3 */}
        <div className='pb-4 pt-4'>
          <div
            className="bg-black bg-opacity-90 p-6 rounded-2xl flex flex-col justify-between w-full transform transition-transform duration-300 ease-in-out hover:scale-105"
            style={{
              backgroundImage: `url(/assets/images/sec6.png)`,
              overflow: 'hidden',
              width: '100% !important',
            }}
          >
            <div>
              <Heading
                level={5}
                className="text-white font-bold text-lg md:text-xl lg:text-2xl mb-3"
              >
                LOREM IPSUM
              </Heading>
              <p className="text-white text-sm md:text-base font-light mb-6">
                Lorem Ipsum is simply dummy text of the printing and typesetting
                industry. Lorem lum has
              </p>
              <Heading
                level={5}
                className="text-primary font-bold text-2xl md:text-3xl lg:text-4xl mb-3"
              >
                $1,199/MONTH
              </Heading>
              <p className="text-white text-sm md:text-base font-light">
                $12,949/year (10% discount)
              </p>
            </div>
            <div className="mt-4">
              <ul className="text-white text-sm md:text-base font-light mb-6 list-disc pl-5">
                <li>5,000 matches per month</li>
                <li>$0.07 per match over 5,000</li>
              </ul>
              <Button
                title="Subscribe Now"
                className="bg-white text-black text-sm md:text-base font-medium py-3 px-6 rounded-full hover:bg-gray-200"
              />
            </div>
          </div>
        </div>
      </div>
    </Container>
  )
}
